Page MenuHomePhabricator

[analyzer] Add 10.0.0 release notes.
ClosedPublic

Authored by Szelethus on Feb 4 2020, 7:07 AM.

Details

Summary

I was MIA for a couple months, so I'm very unsure whether I caught everything, but here is what happened since 9.0.0.

Diff Detail

Event Timeline

Szelethus created this revision.Feb 4 2020, 7:07 AM
Szelethus marked an inline comment as done.
Szelethus added inline comments.
clang/docs/ReleaseNotes.rst
418

I tried my best here but didn't get far. :)

xazax.hun added inline comments.Feb 4 2020, 8:15 AM
clang/docs/ReleaseNotes.rst
420

I'd just say Numerous smaller fixes. or Numerous other improvements.

NoQ added a comment.Feb 4 2020, 8:47 AM

Thanks!!

clang/docs/ReleaseNotes.rst
408

I think we don't traditionally highlight in release notes that something was a result of GSoC. I don't have an opinion here, just don't see much of it.

408

I think this one's out of alpha already (i.e., cplusplus.PlacementNew). I'd also bump it to the top because it applies to more users.

413

@Charusso's work was already mentioned in the previous release notes because it was already partially enabled mid-summer.

418

Not much here, mostly bugfixes.

NoQ added inline comments.Feb 4 2020, 10:15 AM
clang/docs/ReleaseNotes.rst
404–405

Let's make this more concise: "Dead stores checker now warns about nested dead stores.". While it was originally unclear whether this should be on by default, i think there's relatively little motivation in disabling this option now that everybody liked it :)

418

Oh, wait, there was this D71728 thing.

New checker: security.insecureAPI.decodeValueOfObjCType warns about potential buffer overflows when using [NSCoder decodeValueOfObjCType:at:].

(probably no need for a separate section for Objective-C)

Szelethus marked 2 inline comments as done.Feb 4 2020, 10:51 AM
Szelethus added inline comments.
clang/docs/ReleaseNotes.rst
408

Yup, but AFAIK it moved out of alpha after rc1 was tagged.

408

Yup, sure.

balazske added inline comments.Feb 5 2020, 12:47 AM
clang/docs/ReleaseNotes.rst
408

alpha.cplusplus.PlacementNew not alpha.plusplus.PlacementNew?

Charusso added inline comments.Feb 5 2020, 12:55 AM
clang/docs/ReleaseNotes.rst
408
Szelethus updated this revision to Diff 242539.Feb 5 2020, 2:37 AM
Szelethus marked 10 inline comments as done.
Szelethus retitled this revision from [analyzer][WIP] Add 10.0.0 release notes. to [analyzer] Add 10.0.0 release notes..
Szelethus added inline comments.
clang/docs/ReleaseNotes.rst
408

Nice catch ;) I checked out the llvmorg-10.0.0-rc1 tag and can confirm that at that point, the checker is still in alpha, unfortunately.

NoQ added inline comments.Feb 5 2020, 4:22 PM
clang/docs/ReleaseNotes.rst
405

D74004

  1. The checker is now in alpha.
  2. This checker wasn't enabled in the release either, as far as i understand.
xazax.hun added inline comments.Feb 5 2020, 4:59 PM
clang/docs/ReleaseNotes.rst
405

It was! This is about the HandleChecker the other is about the LockChecker.

Szelethus marked 3 inline comments as done.Feb 6 2020, 4:08 AM
Szelethus added inline comments.
clang/docs/ReleaseNotes.rst
405

Yup, this seems to be correct in the release notes.

Szelethus updated this revision to Diff 242860.Feb 6 2020, 4:10 AM
Szelethus marked an inline comment as done.

Actually update the revision.

Szelethus updated this revision to Diff 242869.Feb 6 2020, 4:22 AM

Actually, actually upload the correct one. Getting rusty eh.

hans accepted this revision.Feb 10 2020, 5:34 AM

Looks good to me. Thanks for writing release notes!

If you have commit access, go ahead and push directly to the branch, otherwise let me know and I'll be happy to do it for you.

This revision is now accepted and ready to land.Feb 10 2020, 5:34 AM

I missed out on the transition to github, so I suspect that the commit access will only be extended to it after tagging rc2. I think it would be better if you committed this on my behalf, thanks! :)